Page MenuHomePhabricator

eqiad: Rack and setup new restbase nodes
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productionhieradata: add restbase101[678]
operations/dns : masteradd instances for restbase101[678]
operations/puppet : productioninstall-server: add partman for restbase101[678]

Related Objects

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptNov 17 2016, 4:43 PM
Restricted Application added subscribers: Southparkfan, Aklapper. · View Herald Transcript
Cmjohnson triaged this task as Medium priority.Nov 17 2016, 4:44 PM

Received 3 servers destined to be restbase nodes T141005. Need names, locations, any pertinent details.

We're expanding in the same rows as existing restbase systems, therefore:

  • restbase1016 row A
  • restbase1017 row C
  • restbase1018 row D

Also note to me: when adding these new systems note the fact that cassandra 'rack' assignment was wrong (since https://gerrit.wikimedia.org/r/#/c/191339/) in eqiad (rack 'b' while systems are in row 'c'). Apart from being an eyesore this is harmless in practice.

fgiunchedi added a parent task: Unknown Object (Task).Nov 21 2016, 7:36 PM
fgiunchedi removed a parent task: Unknown Object (Task).
Eevans added a subscriber: Eevans.Nov 22 2016, 2:54 PM

Just so that I can plan accordingly, is there an ETA on this?

Change 324465 had a related patch set uploaded (by Cmjohnson):
Adding mgmt dns entries for restabse1016-1018 T150964

https://gerrit.wikimedia.org/r/324465

Change 324465 merged by Cmjohnson:
Adding mgmt dns entries for restabse1016-1018 T150964

https://gerrit.wikimedia.org/r/324465

All 3 restbase servers are racked and have mgmt access. I did not do production dns. Switch config is completed as well. I set them up for 3 production cables because I was not sure, I know some are set up with 3 and some are not. Racktables is updated!

Mgmt DNS
restbase1016 1H IN A 10.65.2.136
restbase1017 1H IN A 10.65.2.137
restbase1018 1H IN A 10.65.2.138

Restbase1016
ge-3/0/21 up up restbase1016 eth0
ge-3/0/22 up up restbase1016 eth1
ge-3/0/23 up up restbase1016 eth2

Restbase1017
ge-5/0/33 up up restbase1017 eth0
ge-5/0/37 up up restbase1017 eth1
ge-5/0/38 up up restbase1017 eth2

Restbase1018
ge-3/0/22 up up restbase1018 eth0
ge-3/0/23 up up restbase1018 eth1
ge-3/0/24 up up restbase1018 eth2

All 3 restbase servers are racked and have mgmt access. I did not do production dns. Switch config is completed as well. I set them up for 3 production cables because I was not sure, I know some are set up with 3 and some are not. Racktables is updated!

Thanks! Only one production cable is needed in this case, ditto for other restbase machines I think. We should coordinate on cleaning that up at some point.

Change 324917 had a related patch set uploaded (by Cmjohnson):
Adding production dns for restbase1016-18 T150964

https://gerrit.wikimedia.org/r/324917

Change 324917 merged by Cmjohnson:
Adding production dns for restbase1016-18 T150964

https://gerrit.wikimedia.org/r/324917

Change 324927 had a related patch set uploaded (by Cmjohnson):
Adding dhcpd entries for restbase1016-18 T150964

https://gerrit.wikimedia.org/r/324927

Change 324927 merged by Cmjohnson:
Adding dhcpd entries for restbase1016-18 T150964

https://gerrit.wikimedia.org/r/324927

Change 326847 had a related patch set uploaded (by Filippo Giunchedi):
install-server: add partman for restbase101[678]

https://gerrit.wikimedia.org/r/326847

Change 326847 merged by Filippo Giunchedi:
install-server: add partman for restbase101[678]

https://gerrit.wikimedia.org/r/326847

Change 326855 had a related patch set uploaded (by Filippo Giunchedi):
add instances for restbase101[678]

https://gerrit.wikimedia.org/r/326855

Change 326862 had a related patch set uploaded (by Filippo Giunchedi):
hieradata: add restbase101[678]

https://gerrit.wikimedia.org/r/326862

Change 326855 merged by Filippo Giunchedi:
add instances for restbase101[678]

https://gerrit.wikimedia.org/r/326855

Change 326862 merged by Filippo Giunchedi:
hieradata: add restbase101[678]

https://gerrit.wikimedia.org/r/326862

Mentioned in SAL (#wikimedia-operations) [2016-12-13T19:47:56Z] <godog> bootstrap cassandra-a on restbase1016 T150964

fgiunchedi closed this task as Resolved.Jan 3 2017, 11:42 PM

All machines are fully in service, resolving